org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class CircuitBreakerLifecycleTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.CircuitBreakerLifecycleTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CircuitBreakerLifecycleTest
    extends org.jboss.arquillian.testng.Arquillian

Test that circuit breaker is a singleton, even if the bean is not.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerLifecycleTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `circuitBreakerOnClass()`
`void` `circuitBreakerOnClassAndMethod()`
`void` `circuitBreakerOnClassAndMethodMissingOnOverriddenMethod()`
`void` `circuitBreakerOnClassAndMethodNoRedefinition()`
`void` `circuitBreakerOnClassAndMethodOverrideOnClass()`
`void` `circuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod()`
`void` `circuitBreakerOnClassAndMethodOverrideOnMethod()`
`void` `circuitBreakerOnClassMissingOnOverriddenMethod()`
`void` `circuitBreakerOnClassNoRedefinition()`
`void` `circuitBreakerOnClassOverrideOnClass()`
`void` `circuitBreakerOnClassOverrideOnClassWithOverriddenMethod()`
`void` `circuitBreakerOnClassOverrideOnMethod()`
`void` `circuitBreakerOnMethod()`
`void` `circuitBreakerOnMethodMissingOnOverriddenMethod()`
`void` `circuitBreakerOnMethodNoRedefinition()`
`void` `circuitBreakerOnMethodOverrideOnClass()`
`void` `circuitBreakerOnMethodOverrideOnClassWithOverriddenMethod()`
`void` `circuitBreakerOnMethodOverrideOnMethod()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `noSharingBetweenClasses()`
`void` `noSharingBetweenMethodsOfOneClass()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerLifecycleTest

    public CircuitBreakerLifecycleTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### circuitBreakerOnClass

    public void circuitBreakerOnClass()

#### circuitBreakerOnClassOverrideOnClass

    public void circuitBreakerOnClassOverrideOnClass()

#### circuitBreakerOnClassOverrideOnClassWithOverriddenMethod

    public void circuitBreakerOnClassOverrideOnClassWithOverriddenMethod()

#### circuitBreakerOnClassOverrideOnMethod

    public void circuitBreakerOnClassOverrideOnMethod()

#### circuitBreakerOnClassMissingOnOverriddenMethod

    public void circuitBreakerOnClassMissingOnOverriddenMethod()

#### circuitBreakerOnClassNoRedefinition

    public void circuitBreakerOnClassNoRedefinition()

#### circuitBreakerOnMethod

    public void circuitBreakerOnMethod()

#### circuitBreakerOnMethodOverrideOnClass

    public void circuitBreakerOnMethodOverrideOnClass()

#### circuitBreakerOnMethodOverrideOnClassWithOverriddenMethod

    public void circuitBreakerOnMethodOverrideOnClassWithOverriddenMethod()

#### circuitBreakerOnMethodOverrideOnMethod

    public void circuitBreakerOnMethodOverrideOnMethod()

#### circuitBreakerOnMethodMissingOnOverriddenMethod

    public void circuitBreakerOnMethodMissingOnOverriddenMethod()

#### circuitBreakerOnMethodNoRedefinition

    public void circuitBreakerOnMethodNoRedefinition()

#### circuitBreakerOnClassAndMethod

    public void circuitBreakerOnClassAndMethod()

#### circuitBreakerOnClassAndMethodOverrideOnClass

    public void circuitBreakerOnClassAndMethodOverrideOnClass()

#### circuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod

    public void circuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod()

#### circuitBreakerOnClassAndMethodOverrideOnMethod

    public void circuitBreakerOnClassAndMethodOverrideOnMethod()

#### circuitBreakerOnClassAndMethodMissingOnOverriddenMethod

    public void circuitBreakerOnClassAndMethodMissingOnOverriddenMethod()

#### circuitBreakerOnClassAndMethodNoRedefinition

    public void circuitBreakerOnClassAndMethodNoRedefinition()

#### noSharingBetweenClasses

    public void noSharingBetweenClasses()

#### noSharingBetweenMethodsOfOneClass

    public void noSharingBetweenMethodsOfOneClass()